compare run profiles
curl --request GET \
--url https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/profile/comparisonimport requests
url = "https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/profile/comparison"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/profile/comparison', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/profile/comparison",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/profile/comparison"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/profile/comparison")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/profile/comparison")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"baseline": {
"cpu_core_seconds": 123,
"executor_nanos": 1,
"name": "<string>",
"native_sql_nanos": 1,
"rss_peak_bytes": 1,
"task_execution_nanos": 1,
"wall_nanos": 1
},
"compatible": true,
"current": {
"cpu_core_seconds": 123,
"executor_nanos": 1,
"name": "<string>",
"native_sql_nanos": 1,
"rss_peak_bytes": 1,
"task_execution_nanos": 1,
"wall_nanos": 1
},
"ratios": {},
"reasons": [
"<string>"
]
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}Compare run profiles
compare run profiles. GET /api/v1/workloads//runs//profile/comparison. Uses the same payload, validation, revision checks and response as the unified HTTP API.
compare run profiles
curl --request GET \
--url https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/profile/comparisonimport requests
url = "https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/profile/comparison"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/profile/comparison', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/profile/comparison",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/profile/comparison"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/profile/comparison")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/workloads/{workload_id}/runs/{run_id}/profile/comparison")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"baseline": {
"cpu_core_seconds": 123,
"executor_nanos": 1,
"name": "<string>",
"native_sql_nanos": 1,
"rss_peak_bytes": 1,
"task_execution_nanos": 1,
"wall_nanos": 1
},
"compatible": true,
"current": {
"cpu_core_seconds": 123,
"executor_nanos": 1,
"name": "<string>",
"native_sql_nanos": 1,
"rss_peak_bytes": 1,
"task_execution_nanos": 1,
"wall_nanos": 1
},
"ratios": {},
"reasons": [
"<string>"
]
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}ReferenceApplies to: Unified engine deployments
Related guidance
Addresses and access · Request identity · Errors and recovery · Pagination and resultsLast modified on November 4, 2026